#ifndef _ARCH_H_
#define _ARCH_H_

enum arch_exc_codes {
	HANDLER_MODE_NO_FP_MSP = 0xFFFFFFF1,
	THREAD_MODE_NO_FP_MSP  = 0xFFFFFFF9,
	THREAD_MODE_NO_FP_PSP  = 0xFFFFFFFD,
	HANDLER_MODE_FP_MSP    = 0xFFFFFFE1,
	THREAD_MODE_FP_MSP     = 0xFFFFFFE9,
	THREAD_MODE_FP_PSP     = 0xFFFFFFED
};

#endif /* _ARCH_H_ */
